Bug 234664 - net-mgmt/cacti: update to 1.2.0
Summary: net-mgmt/cacti: update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: patch
Depends on:
Blocks: 234312
  Show dependency treegraph
 
Reported: 2019-01-06 14:26 UTC by Daniel Austin
Modified: 2019-01-14 21:21 UTC (History)
1 user (show)

See Also:
freebsd-ports: maintainer-feedback+
freebsd-ports: merge-quarterly?


Attachments
Update cacti to 1.2.0 (111.41 KB, patch)
2019-01-06 14:26 UTC, Daniel Austin
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2019-01-06 14:26:50 UTC
Created attachment 200837 [details]
Update cacti to 1.2.0

Update cacti to 1.2.0

Release notes: https://www.cacti.net/release_notes.php?version=1.2.0

This update also fixes a problem in the current port/package which can cause NaN data being recorded (and therefore no graphs!)

This also adds additional fixes for CVE-2009-4112 and a few other security based patches - as a result of both of these, i've requested merge-quarterly.

Also tidied up pkg-plist.


Notes to committer:

* Please ignore warnings about gettext, cacti has built-in gettext support so no external gettext is needed.
* Added file: files/patch-lib_installer.php
* Removed file: files/patch-scripts__diskfree.pl

Poudriere testport logs for 11.2/amd64 + 11.2/i386 located at:

https://poudriere.dan.tm/poudriere/data/latest-per-pkg/cacti/1.2.0/

Poudriere testport logs for 12.0/amd64 + 12.0/i386 located at:

https://poudriere2.dan.tm/poudriere/data/latest-per-pkg/cacti/1.2.0/
Comment 1 karl 2019-01-06 15:17:33 UTC
Thanks; I am using pkg as opposed to source builds on the impacted machine so when it rolls into the pkg system I'll check it.
Comment 2 commit-hook freebsd_committer 2019-01-06 16:32:54 UTC
A commit references this bug:

Author: swills
Date: Sun Jan  6 16:32:06 UTC 2019
New revision: 489505
URL: https://svnweb.freebsd.org/changeset/ports/489505

Log:
  net-mgmt/cacti: update to 1.2.0

  PR:		234664
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk> (maintainer)

Changes:
  head/net-mgmt/cacti/Makefile
  head/net-mgmt/cacti/distinfo
  head/net-mgmt/cacti/files/patch-include__global.php
  head/net-mgmt/cacti/files/patch-include__global_settings.php
  head/net-mgmt/cacti/files/patch-install__functions.php
  head/net-mgmt/cacti/files/patch-lib__clog_webapi.php
  head/net-mgmt/cacti/files/patch-lib__functions.php
  head/net-mgmt/cacti/files/patch-lib_installer.php
  head/net-mgmt/cacti/files/patch-poller_maintenance.php
  head/net-mgmt/cacti/files/patch-scripts__diskfree.pl
  head/net-mgmt/cacti/pkg-plist
Comment 3 Steve Wills freebsd_committer 2019-01-06 16:36:01 UTC
Committed, thanks!
Comment 4 Daniel Austin 2019-01-08 17:13:00 UTC
Please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=234735 for an typo fix in a patchfile :S
Comment 5 karl 2019-01-09 22:43:36 UTC
NOT Fixed -- installed 1.2.0 and the problem is still there with some graphs....
Comment 6 Daniel Austin 2019-01-09 22:46:02 UTC
(In reply to karl from comment #5)
can you feed that back upstream to the cacti bug, cuz we're now running the latest codebase released only a few days ago so it is supposed to be fixed according to them.
Comment 7 karl 2019-01-09 22:46:41 UTC
(In reply to Daniel Austin from comment #6)

Sure will!
Comment 8 Daniel Austin 2019-01-09 22:48:32 UTC
(In reply to karl from comment #7)
thanks :)  i'd rather them fix it upstream than making workarounds locally if we can help it :)
Comment 9 karl 2019-01-11 14:04:54 UTC
(In reply to Daniel Austin from comment #8)

The issue appears to be that php72-snmp is installed.  If you force its removal (so it doesn't pull Cacti, since that's listed as a dependency) the problem disappears.

I asked if that would be the Cacti "official" view (e.g. that php72-snmp should NOT be installed) and so far haven't gotten an "official" answer back but removing that module DOES resolve the problem.
Comment 10 Daniel Austin 2019-01-11 14:33:26 UTC
(In reply to karl from comment #9)
Thanks Karl.

I'll see if I can setup an option (default off) for people who still want to use the PHP module (and pull it in), and switch the dependancy to the snmp library instead.

I'll work on a patch tonight and submit it as a new PR.
Comment 11 karl 2019-01-11 14:41:46 UTC
(In reply to Daniel Austin from comment #10)

The trick may well be figuring out how to prevent cacti from using the module if someone has a separate reason to load it.  My particular set of packages had no other dependencies on it so it wasn't a big deal to force-unload it on the box where I'm impacted.  YMMV.
Comment 12 Daniel Austin 2019-01-14 21:21:08 UTC
(In reply to karl from comment #11)
I've submitted a patch at:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=234952

It adds an option (default on) to forcibly override the autodetection and use the binaries.